#!/usr/bin/make -f
# -*- makefile -*-

export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export QT_SELECT=5

ANDROID_DIR = build-android
TMP1_DIR = $(CURDIR)/debian/tmp1

%:
	dh $@

override_dh_clean:
	rm -rf $(TMP1_DIR) $(ANDROID_DIR)
	dh_clean

override_dh_auto_configure:
	mkdir -p $(ANDROID_DIR)
	dh_auto_configure -B$(ANDROID_DIR) -- "QMAKE_CXXFLAGS=-DPLATFORM_API_TOUCH" $(CURDIR)

override_dh_auto_build:
	dh_auto_build -B$(ANDROID_DIR)

override_dh_auto_install:
	mkdir -p $(TMP1_DIR) && cd $(ANDROID_DIR) && INSTALL_ROOT=$(TMP1_DIR) make install

override_dh_install:
	dh_install --sourcedir=$(TMP1_DIR) -pqtubuntu-android
